rev 5293 - in trunk/packages/qt-x11-free/debian: . patches

Ana Beatriz Guerrero López ana at alioth.debian.org
Fri Jan 12 18:41:25 CET 2007


Author: ana
Date: 2007-01-12 18:41:24 +0100 (Fri, 12 Jan 2007)
New Revision: 5293

Added:
   trunk/packages/qt-x11-free/debian/patches/63_qmake_hurd.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/control
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
Updating uploaders and adding qmake on hurd patch.


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2007-01-12 12:03:50 UTC (rev 5292)
+++ trunk/packages/qt-x11-free/debian/changelog	2007-01-12 17:41:24 UTC (rev 5293)
@@ -3,6 +3,9 @@
   +++ Changes by Ana Beatriz Guerrero Lopez:
 
   * Improved debian/copyright.
+  * Update Uploaders.
+  * Applied patch to avoid qmake segfaulting on GNU/Hurd when no output 
+    file is specified. Thanks to Michael Banck. (Closes: #399984)
 
   +++ Changes by Sune Vuorela
 

Modified: trunk/packages/qt-x11-free/debian/control
===================================================================
--- trunk/packages/qt-x11-free/debian/control	2007-01-12 12:03:50 UTC (rev 5292)
+++ trunk/packages/qt-x11-free/debian/control	2007-01-12 17:41:24 UTC (rev 5293)
@@ -1,6 +1,6 @@
 Source: qt-x11-free
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>
-Uploaders: Christopher Martin <chrsmrtn at debian.org>, Adeodato Simó <dato at net.com.org.es>
+Uploaders: Christopher Martin <chrsmrtn at debian.org>, Adeodato Simó <dato at net.com.org.es>, Ana Beatriz Guerrero Lopez <ana at debian.org>, Sune Vuorela <debian at pusling.com>
 Build-Depends: debhelper (>= 5.0.31), libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg62-dev, libmng-dev (>= 1.0.3), libpng12-dev | libpng12-0-dev, libfontconfig1-dev, libfreetype6-dev, libxft-dev, libiodbc2-dev (>= 3.51.2-4), libmysqlclient15-dev | libmysqlclient-dev, flex, libpq-dev, libaudio-dev, libcupsys2-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, dpatch (>= 1.13), libsqlite3-dev, firebird2-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64]
 Section: libs
 Priority: optional

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2007-01-12 12:03:50 UTC (rev 5292)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2007-01-12 17:41:24 UTC (rev 5293)
@@ -40,3 +40,4 @@
 60_gnu_hurd_support
 61_fcfontmatch_fontwidth_fix
 62_bengali_charfix
+63_qmake_hurd
\ No newline at end of file

Added: trunk/packages/qt-x11-free/debian/patches/63_qmake_hurd.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/63_qmake_hurd.dpatch	2007-01-12 12:03:50 UTC (rev 5292)
+++ trunk/packages/qt-x11-free/debian/patches/63_qmake_hurd.dpatch	2007-01-12 17:41:24 UTC (rev 5293)
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+## 62_bengali_charfix.patch originally sent from Simon Hausmann <simon.hausmann at trolltech.com>  (Trolltech ASA)
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes the view of some bengali char
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt-x11-free-3.3.7/qmake/option.cpp 2006-09-28 07:45:03.000000000 +0000
++++ qt-x11-free-3.3.7/qmake/option.cpp          2006-09-28 07:45:40.000000000 +0000
+@@ -64,7 +64,7 @@
+ //all modes
+ int Option::warn_level = WarnLogic;
+ int Option::debug_level = 0;
+-QFile Option::output;
++QFile Option::output("");
+ QString Option::output_dir;
+ QStringList Option::before_user_vars;
+ QStringList Option::after_user_vars;
+
+




More information about the pkg-kde-commits mailing list